Package org.eclipse.mat.snapshot.extension

## Annotation Type Subject

    @Target(TYPE)
    @Retention(RUNTIME)
    public @interface Subject

Used to tag `IClassSpecificNameResolver` and `IRequestDetailsResolver` resolvers with the name of the class that they handle. Can be used as follows: `@Subject("com.example.class1")` See `Subjects` for multiple class names.

Experimental: can also be used to tag `IQuery` queries. These queries are only offered in the drop-down menu from the task bar when the class named by `value()` is present in the snapshot. They are also not offered in the pop-up context menu if the objects selected do not include at least one object of type named by `value()`.

### Required Element Summary

Required Elements
`java.lang.String` `value`

### Element Detail

#### value

    java.lang.String value